package com.zjrs.zwnw.dbgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.blo.DbrwclPLO;
import com.zjrs.zwnw.dbgl.bpo.DbrwclBPO;
import com.zjrs.zwnw.dbgl.dto.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DbrwclBPOimpl extends BPOImpl implements DbrwclBPO {

    @Autowired
    private DbrwclPLO dbrwclPLO;

    @Override
    public PageResult getGzqdffList(DbrwglDbrwclQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.dbrwclPLO.getGzqdffList(dto,pagenum,pagesize);
    }

    @Override
    public PageResult getDbrwListByXmid(DbrwglCommQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.dbrwclPLO.getDbrwListByXmid(dto,pagenum,pagesize);
    }

    @Override
    public PageResult getGzqdListByXmid(DbrwglCommQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.dbrwclPLO.getGzqdListByXmid(dto,pagenum,pagesize);
    }

    @Override
    public void updateFfgzdq(DbrwglCommDTO dto){
        this.dbrwclPLO.updateFfgzdq(dto);
    }
    @Override
    public void delGzqd(DbrwglCommDTO dto){
        this.dbrwclPLO.delGzqd(dto);
    }

    @Override
    public void updateGzqdXz(DbrwglDbrwclGzqdxzDTO dto){
        this.dbrwclPLO.updateGzqdXz(dto);
    }
    @Override
    public PageResult getGzjzshList(DbrwglDbrwclGzjzshQueryDTO dto, Integer pagenum, Integer pagesize){
        return this.dbrwclPLO.getGzjzshList(dto,pagenum,pagesize);
    }
    @Override
    public void updateGzqdshBatch(DbrwglGzqdBatchShDTO dto){
        this.dbrwclPLO.updateGzqdshBatch(dto);
    }

    @Override
    public void updateGzqdsh(DbrwglGzqdShDTO dto){
        this.dbrwclPLO.updateGzqdsh(dto);
    }
}
